Templates
List templates
GET /v1/c/{slug}/templates · Scopes: templates:read · campaigns:write · messages:send_template
The message templates of each WhatsApp account, with Meta's status, category and components (the {{1}} variables are in the text).
Path parameters
| Field | Notes |
|---|---|
slug | The company's identifier in DoneTalk (the key's own). |
Request example
curl -X GET "https://api.donetalk.com/v1/c/demo/templates" \
-H "Authorization: Bearer $DONETALK_KEY"Response 200
{
"templates": [
{
"id": "01a0cad0-0000-7000-8000-000000000002",
"name": "reativacao_cupom",
"language": "pt_BR",
"category": "marketing",
"status": "approved",
"quality": "GREEN",
"accountId": "01a0cccc-0000-7000-8000-000000000001",
"accountName": "Captei WABA",
"components": [
{
"type": "BODY",
"text": "Oi {{1}}! Seu cupom {{2}} vale até sexta. Quer usar agora?"
},
{
"type": "BUTTONS",
"buttons": [
{
"type": "QUICK_REPLY",
"text": "Quero o cupom"
}
]
}
],
"rejectionReason": null,
"updatedAt": "2026-10-23T13:02:11.000Z"
}
]
}Possible errors
401unauthorized403insufficient_scope422validation_failed429rate_limited